CONDOR_HOLD(1)

NAME
condor_hold - HTCondor Manual

Prevents existing job(s) from running in HTCondor.

SYNOPSIS

condor_hold [-help | -version]

condor_hold [OPTIONS] [cluster... | cluster.proc... | user...]

condor_hold [-debug] [-long] [-totals] [-all] [-constraint expression] [-reason message] [-subcode number] [-pool hostname[:portnumber] | -name scheddname | -addr "<a.b.c.d:port>"]

DESCRIPTION

Place job(s) into the hold state in HTCondor. Held jobs will remain in the condor_schedd but will not be matched to resources or executed. For any given job, only the owner of the job or one of the queue super users (defined by the QUEUE_SUPER_USERS <href="../admin-manual/configuration-macros.html#QUEUE_SUPER_USERS"> macro) can hold the job.

OPTIONS

            -help
                Display usage information.

            -version
                Display version information.

            -long
                Display result ClassAd.

            -totals
                Display success/failure totals.

            -pool hostname[:portnumber]
                Specify a pool by giving the central manager's host name and an optional port number.

            -name scheddname
                Send the command to a machine identified by scheddname.

            -addr "<a.b.c.d:port>"
                Send the command to a machine located at "<a.b.c.d:port>".

            -debug
                Causes debugging information to be sent to stderr, based on the value of the configuration variable TOOL_DEBUG <href="../admin-manual/configuration-macros.html#TOOL_DEBUG">.

            -reason message
                Sets the HoldReason <href="../classad-attributes/job-classad-attributes.html#HoldReason"> attribute to the provided message in the job(s) ClassAd. This message will appear in the output of the condor_q <href="../man-pages/condor_q.html"> -hold command.

            -subcode number
                Sets HoldReasonSubCode <href="../classad-attributes/job-classad-attributes.html#HoldReasonSubCode"> attribute to the provided number in the job(s) ClassAd.

            -constraint expression
                Hold all jobs which match the job ClassAd expression constraint.

            -all
                Hold all the jobs in the queue.

            cluster
                Hold all jobs in the specified cluster.

            cluster.process
                Hold the specific job in the cluster.

            user
                Hold all jobs belonging to specified user.

GENERAL REMARKS

If the -name option is specified, the named condor_schedd is targeted for processing. Otherwise, the local condor_schedd is targeted.

A job in the hold state remains in HTCondor, but the job will not run until released via condor_release <href="../man-pages/condor_release.html"> or removed via condor_rm <href="../man-pages/condor_rm.html">.

Jobs put on hold while running will send a hard kill signal to stop the current execution.

EXIT STATUS

0 - Success

1 - Failure has occurred

EXAMPLES

To hold a specific job:

            $ condor_hold 432.1

To hold a specific job with a reason:

            $ condor_hold 432.1 -reason "Defer running job until needed"

To hold all jobs that are not currently running:

            $ condor_hold -constraint "JobStatus!=2"

To hold all of user Mary's jobs currently not running:

            # condor_hold Mary -constraint "JobStatus!=2"

SEE ALSO

condor_release <href="../man-pages/condor_release.html">, condor_rm <href="../man-pages/condor_rm.html">, condor_continue <href="../man-pages/condor_continue.html">, condor_suspend <href="../man-pages/condor_suspend.html">, condor_vacate_job <href="../man-pages/condor_vacate_job.html">, condor_vacate <href="../man-pages/condor_vacate.html">

AVAILABILITY

Linux, MacOS, Windows

Author
HTCondor Team

Copyright
1990-2026, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.